Copying page in a collection only gives "untitled" title for clean URLs

Bug #1058416 reported by Kristina Hoeppner on 2012-09-29
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.6
High
Son Nguyen
1.7
High
Son Nguyen
1.8
High
Son Nguyen

Bug Description

When copying a page as part of a collection, the clean URL suggested is only "untitled". It doe not take on the name of the actual page.

Melissa Draper (melissa) on 2012-09-30
Changed in mahara:
importance: Undecided → High
status: New → Triaged
Melissa Draper (melissa) on 2012-10-01
Changed in mahara:
milestone: none → 1.6.0
Melissa Draper (melissa) on 2012-10-01
Changed in mahara:
status: Triaged → Confirmed
Son Nguyen (ngson2000) on 2012-10-01
Changed in mahara:
assignee: nobody → Son Nguyen (ngson2000)
status: Confirmed → In Progress
Melissa Draper (melissa) wrote :

not limited to groups

summary: - Copying page in a collection in a group only gives "untitled" title for
- clean URLs
+ Copying page in a collection only gives "untitled" title for clean URLs
Changed in mahara:
assignee: Son Nguyen (ngson2000) → Melissa Draper (melissa)
Melissa Draper (melissa) on 2012-10-05
Changed in mahara:
milestone: 1.6.0 → 1.7.0
Son Nguyen (ngson2000) on 2013-03-07
Changed in mahara:
milestone: 1.7.0 → 1.8.0
Aaron Wells (u-aaronw) on 2013-08-19
Changed in mahara:
assignee: Melissa Draper (melissa) → nobody
tags: added: bite-sized
Changed in mahara:
milestone: 1.8.0rc1 → none
assignee: nobody → Aaron Wells (u-aaronw)
Son Nguyen (ngson2000) on 2013-11-12
Changed in mahara:
assignee: Aaron Wells (u-aaronw) → Son Nguyen (ngson2000)
Son Nguyen (ngson2000) wrote :

This issue only happens if you don't click 'Save' after copying.

Son Nguyen (ngson2000) wrote :

It does not matter that the page is in a collection or not.

Son Nguyen (ngson2000) wrote :

This issue also happens when copying a collection without clicking 'Next: Edit collection pages'

Reviewed: https://reviews.mahara.org/2704
Committed: http://gitorious.org/mahara/mahara/commit/d4593554033ac25c985ea635543ff75f41a886a9
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit d4593554033ac25c985ea635543ff75f41a886a9
Author: Son Nguyen <email address hidden>
Date: Wed Nov 13 14:27:31 2013 +1300

Update the urlid of a copied page (Bug 1058416)

Change-Id: Ic554b94fa20f5978108b0c828c70834246c9c9c9
Signed-off-by: Son Nguyen <email address hidden>

Aaron Wells (u-aaronw) on 2013-11-13
Changed in mahara:
status: In Progress → Fix Committed
milestone: none → 1.9.0
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2737
Committed: http://gitorious.org/mahara/mahara/commit/e40d251039d6b42fd290a44cdf61fccfcbd2cd41
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit e40d251039d6b42fd290a44cdf61fccfcbd2cd41
Author: Son Nguyen <email address hidden>
Date: Wed Nov 13 14:27:31 2013 +1300

Update the urlid of a copied page (Bug 1058416)

Change-Id: Ic554b94fa20f5978108b0c828c70834246c9c9c9
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2736
Committed: http://gitorious.org/mahara/mahara/commit/928ec510b7521bb8c487b4adb086feb569978835
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit 928ec510b7521bb8c487b4adb086feb569978835
Author: Son Nguyen <email address hidden>
Date: Wed Nov 13 14:27:31 2013 +1300

Update the urlid of a copied page (Bug 1058416)

Change-Id: Ic554b94fa20f5978108b0c828c70834246c9c9c9
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2735
Committed: http://gitorious.org/mahara/mahara/commit/620013734277e74ca95865d571348661301971f5
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.6_STABLE

commit 620013734277e74ca95865d571348661301971f5
Author: Son Nguyen <email address hidden>
Date: Wed Nov 13 14:27:31 2013 +1300

Update the urlid of a copied page (Bug 1058416)

Change-Id: Ic554b94fa20f5978108b0c828c70834246c9c9c9
Signed-off-by: Son Nguyen <email address hidden>

Aaron Wells (u-aaronw) on 2013-12-18
Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) on 2013-12-18
Changed in mahara:
status: Fix Released → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers